import { BlockTag, EthCallData } from "./ethCall";
import { ChainQueryType, ChainSpecificQuery } from "./request";
export declare class EthCallWithFinalityQueryRequest implements ChainSpecificQuery {
    callData: EthCallData[];
    blockId: string;
    finality: "safe" | "finalized";
    constructor(blockId: BlockTag, finality: "safe" | "finalized", callData: EthCallData[]);
    type(): ChainQueryType;
    serialize(): Uint8Array;
}
